Name: man-pages
Version: 1.55
Release: alt1

Summary: Man (manual) pages from the Linux Documentation Project
Summary(ru_RU.CP1251):   Linux Documentation Project
License: distributable
Group: System/Internationalization
Url: ftp://ftp.kernel.org/pub/linux/docs/manpages/

Packager: Aleksandr Blokhin 'Sass' <sass@altlinux.ru>

Source: ftp://ftp.win.tue.nl/pub/home/aeb/linux-local/manpages/%name-%version.tar.bz2
Source3: netman-cvs.tar.bz2
# Where to find it ????
Source4: man9-19971126.tar.bz2
Source5: %name-goodies.tar.bz2
Source6: %name-extra.tar.bz2

Source100:libtoolize.1
Source101:libtool.1

Patch1: man-pages-1.39-deb.patch
Patch7: man-pages-1.39-owl-ccldso.patch
Patch8: man-pages-1.35-owl-uselib.patch

Requires: man >= 1.5i2-alt4
BuildArch: noarch
Obsoletes: man9 gnumaniak

%description
A large collection of man pages (reference material) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections:
	1:  User commands (intro and pages not maintained by FSF)
	2:  System calls
	3:  Libc calls
	4:  Devices (e.g. hd, sd)
	5:  File formats and protocols (e.g. wtmp, /etc/passwd, nfs)
	6:  Games (intro only)
	7:  Conventions, macro packages, etc.
	8:  System administration (intro only)
	9:  Kernel internal routines

%description -l ru_RU.CP1251
       Linux
Documentation Project (LDP).    :
	1:    ()
	2:   
	3:   libc
	4:   (, hd, sd)
	5:      (, wtmp, /etc/passwd, nfs)
	6:   ( )
	7:  , ,  ..
	8:    ( )
	9:    

%prep
%setup -q -a3 -a4 -a5 -a6

%patch1 -p1
%patch7 -p1
%patch8 -p1

mv *.4 man4
for f in `find man -type f |sed -e 's|^man/||g'`; do
	install -D -p -m644 "man/$f" "$f"
done

find man9 -type f -print0 |
	xargs -r0 grep -l '^\.so:' |
	xargs -r perl -pi -e 's/^\.so:/.so /'

# su.1: moved to su package based on SimplePamApps.
find -type f -name su.1 -print0 |
    xargs -r0 %__rm -f --

%build

#fileutils
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man1/{dir,vdir}.1

#diffutils
rm -fv man1/diff.1

# quota
rm -rf man*/quota*
# console-tools
rm -rf man4/console.4
# fdutils
rm -rf man4/fd.4
# ld.so
#rm -rf man3/{dlclose,dlerror,dlopen,dlsym}.3
# bind-utils
rm -rf man5/{resolver,resolv.conf}.5
# fileutils :(
rm -rf man1/{dir,mknod,vdir}.1

mv man1/README README.GNU-INFOvsMAN

# net-tools
rm -rf man1/hostname.1

%install
mkdir -p $RPM_BUILD_ROOT%_mandir
cp -a man? $RPM_BUILD_ROOT%_mandir

chmod -R a+rX,go-w $RPM_BUILD_ROOT%_mandir

install %SOURCE100 %SOURCE101 $RPM_BUILD_ROOT%_man1dir/

%post -p /etc/cron.daily/makewhatis

%files
%_mandir/man?/*
%doc README* *.Announce FIXME *.lsm

%changelog
* Mon Feb 10 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1.55-alt1
- 1.55
- Added new and updated manuals: 
  alloc_hugepages.2 arch_prctl.2 clone.2 free_hugepages.2
  futex.2 gettid.2 mmap.2 msgget.2 personality.2 recv.2
  select.2 send.2 setpgid.2 shmget.2 syslog.2 tkill.2
  undocumented.2
  
  bcmp.3 bcopy.3 bzero.3 getpt.3 grantpt.3 ptsname.3 remove.3
  scanf.3 shm_open.3 string.3 tcgetpgrp.3 tcgetsid.3 unlockpt.3
  
  futex.4 ptmx.4 pts.4
  
  proc.5
  
  signal.7

* Fri Jan 03 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.54-alt1
- 1.54

* Wed Sep 03 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.53-alt2
- 1.53 

* Wed Aug 07 2002 Stanislav Ievlev <inger@altlinux.ru> 1.52-alt2
- removed gnumaniak man-pages. This pages now provided by
  appropriate packages. libtool and libtoolize man pages still live
  in this package.
- ressurected dlopen
- removed fileutils related man pages

* Mon Jul 29 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.52-alt1
- 1.52

* Wed Jun 20 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.51-alt1
- 1.51

* Fri Jun 14 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.48-alt2
- addedition in man-pages-extra: catchsegv.1, getconf.1, glibcbug.1
- updates in man-pages-extra: getent.1, iconv.1, locale.1,
  localedef.1, sprof.1, ld-linux.so.8, rpcinfo.8

* Fri Mar 01 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.48-alt1
- 1.48
- updated man-pages-extra (man3/crypt*)
- updated deb patch.

* Wed Jan 09 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.47-alt1
- 1.47
- updated deb patch.
- added Summary & description in CP1251 encoding

* Sun Dec 23 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.45-alt1
- 1.45
- updated deb patch.

* Thu Dec 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.44-alt1
- 1.44, updated patches.
- Moved all extra man pages into man-pages-extra traball.
- Added strlcpy(3) from OpenBSD.
- Added %post (run daily makewhatis script).

* Sun Oct 28 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.43-alt1
- 1.43
- Updated deb patch.
- Updated spec.

* Tue Oct 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.40-alt1
- 1.40
- Updated deb patch.

* Wed Sep 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.39-alt2
- su.1: moved to su package based on SimplePamApps.

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.39-alt1
- 1.39

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.38-alt1
- 1.38

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.37-alt1
- 1.37
- Updated crypt.3 page from crypt_blowfish-0.4.1

* Mon May 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.36-alt2
- Updated crypt.3 page from crypt_blowfish-0.4

* Fri May 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.36-alt1
- 1.36

* Tue May 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.35-ipl2mdk
- More manpages from RH, Debian, Owl.

* Tue Mar 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.35-ipl1mdk
- 1.35

* Mon Jan 29 2001 Dmitry V. Levin <ldv@fandra.org> 1.34-ipl2mdk
- Fixed few buggy links in man9.

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 1.33-ipl1mdk
- 1.33

* Tue Dec 12 2000 Dmitry V. Levin <ldv@fandra.org> 1.32-ipl1mdk
- 1.32

* Thu Nov 30 2000 Dmitry V. Levin <ldv@fandra.org> 1.31-ipl1mdk
- 1.31

* Thu Jul 27 2000 Dmitry V. Levin <ldv@fandra.org> 1.30-ipl2mdk
- Added: manpages from gnumaniak project.
- RE and Fandra adaptions.

* Tue Jun 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.30-2mdk
- Add URL
- Use mandir macros for FHS compatibilty

* Mon Jun 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.30-1mdk
- new release (1.30 : various fixes & a few more pages)
- suppress the tzet path which is now useless

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.29-4mdk
- Rebuild with the good spec-helper to remove orphan link to orphan
  man-page.

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new group scheme
- spechelper

* Fri Mar 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.29-2mdk
- removed various pages that conflict with pages included in new
  rpm packages (ld.so and bind-utils)

* Wed Mar 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.29-1mdk
- 1.29 is out
- moved man1/{COPYING,README} to /usr/doc

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.28-3mdk
- Remove dir and vdir.1 (conflicts with last fileutils).

* Wed Jan 26 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added humoristic man pages sex(6), baby(1) and guru(n).

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.28

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added requires locales-en (english man pages require english lang. support)
- added nice icon similar to other man-pages-* packages
- added obsoletes man9 (as we now include the man9 pages)

* Wed Aug 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.26
- add man9

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.25.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.24 version.
- Removed some obsolete patchs.

* Mon May 24 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- remove fd.4 - we get a far more recent version from fdutils
